gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# Gtk::Menu_Helpers::TearoffMenuElem Class Reference

Inheritance diagram for Gtk::Menu_Helpers::TearoffMenuElem:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::TearoffMenuElem:
[legend]

List of all members.

## Public Member Functions
| TearoffMenuElem (TearoffMenuItem& child)
| TearoffMenuElem (const CallSlot& slot=CallSlot())
| Create a non-accelerated TearoffMenuItem with a sigc::slot.
| TearoffMenuElem (const AccelKey& key, const CallSlot& slot=CallSlot())
| Create accelerated TearoffMenuItem with a sigc::slot.

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | TearoffMenuItem& | child | ) |

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | const CallSlot & | slot = `CallSlot()` | ) |

Create a non-accelerated TearoffMenuItem with a sigc::slot.

Parameters:

  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | const AccelKey& | key,
|  | const CallSlot & | slot = `CallSlot()`
| ) |  |

Create accelerated TearoffMenuItem with a sigc::slot.

Parameters:

  key | The accelerator key combination
  slot | Use sigc::mem_fun() to specify a signal handler

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h